Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           perl-DBD-MySQL
Version:        4.013
Release:        1
Summary:        A MySQL interface for perl

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/DBD-mysql/
Source0:        http://www.cpan.org/authors/id/C/CA/CAPTTOFU/DBD-mysql-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Prevent bug #443495
BuildRequires:  perl(DBI) >= 1.607

BuildRequires:  mysql, mysql-devel, zlib-devel
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:       perl-DBD-mysql = %{version}-%{release}

%description 
An implementation of DBI for MySQL for Perl.


%prep
%setup -q -n DBD-mysql-%{version}
# Correct file permissions
find . -type f | xargs chmod -x

for file in lib/DBD/mysql.pm ChangeLog; do
  iconv -f iso-8859-1 -t utf-8 <$file >${file}_ && mv -f ${file}_ $file
done


%build
perl Makefile.PL %_prefix OPTIMIZE="$RPM_OPT_FLAGS" --ssl
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'


%check
# Full test coverage requires a live MySQL database
# make test


%clean 
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog INSTALL.html README TODO
/usr/lib/perl5/site_perl/5.10.0/i686-linux-thread-multi/Bundle/DBD/mysql.pm
/usr/lib/perl5/site_perl/5.10.0/i686-linux-thread-multi/DBD/mysql.pm
/usr/lib/perl5/site_perl/5.10.0/i686-linux-thread-multi/DBD/mysql/GetInfo.pm
/usr/lib/perl5/site_perl/5.10.0/i686-linux-thread-multi/DBD/mysql/INSTALL.pod
/usr/lib/perl5/site_perl/5.10.0/i686-linux-thread-multi/auto/DBD/mysql/mysql.so
%{_mandir}/man3/*.3*


%changelog
* Tue Dec 22 2009 Christian Metzen <metzench@ccux-linux.de> 4.013-1
- Initial CCux package release
